<div class="mt-3 blocks">
  <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
    <form #dataIngestionDetailsForm="ngForm" class="card-body">
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.sanbox.title}}</p>
        <ul class="mt-1">
          <li class="checkbox-inline mr-2">
            <ejs-checkbox name="pIngest" #pSandbox label="{{tgtSndBxOptions[0].text}}" [(ngModel)]="activeTgtSndBxOption"
              value="{{tgtSndBxOptions[0].text}}" (click)="activeTgtSndBxOption = tgtSndBxOptions[0].text"></ejs-checkbox>
          </li>
          <li class="checkbox-inline">
            <ejs-checkbox name="gIngest" #gSandbox label="{{tgtSndBxOptions[1].text}}" [(ngModel)]="activeTgtSndBxOption"
              value="{{tgtSndBxOptions[1].text}}" (click)="activeTgtSndBxOption = tgtSndBxOptions[1].text"></ejs-checkbox>
          </li>
        </ul>
        <ejs-tooltip id="tooltip" content="{{ingestionDetailsContent.sanbox.tooltip}}">
          <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.layout.title}}</p>
        <ul class="mt-2">
          <li class="checkbox-inline mr-2">
            <ejs-checkbox name="smLyt" #sameLayoutYes label="{{ingestionDetailsContent.layout.label.yes}}" [(ngModel)]="activeLayoutOption"
              value="{{layoutOptions[0]}}"
              (click)="activeLayoutOption = layoutOptions[0];toggleLayoutOption()"></ejs-checkbox>
          </li>
          <li class="checkbox-inline">
            <ejs-checkbox name="nwLyt" #sameLayoutNo label="{{ingestionDetailsContent.layout.label.no}}" [(ngModel)]="activeLayoutOption"
              value="{{layoutOptions[1]}}"
              (click)="activeLayoutOption = layoutOptions[1];toggleLayoutOption()">
            </ejs-checkbox>
          </li>
        </ul>
        <ejs-tooltip id="tooltip" content="{{ingestionDetailsContent.layout.tooltip}}">
          <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div *ngIf="activeLayoutOption === layoutOptions[0]">
        <div class="blocks">
          <p class="custom-h6 col-md-5">{{ingestionDetailsContent.fileType.title}}<span class="mandatory"> *</span></p>
          <ejs-dropdownlist name="fileTypeName" cssClass="e-outline" #fileType="ngModel" [(ngModel)]="dataIngestionDetails.obj_id" required
            [dataSource]="fileTypeList" [fields]="fileTypeFields" (change)="fileTypeChange($event)"
            [placeholder]="ingestionDetailsContent.watermark">
          </ejs-dropdownlist>
          <div *ngIf="fileType.invalid && (fileType.touched)" class="errorMsg">
            <div *ngIf="fileType.errors.required">
              {{ingestionDetailsContent.fileType.error}}
            </div>
          </div>
          <ejs-tooltip id="tooltip" content="{{ingestionDetailsContent.fileType.tooltip}}">
            <em class="fa fa-info-circle"></em></ejs-tooltip>
        </div>
      </div>
      <div *ngIf="activeLayoutOption === layoutOptions[1]">
        <div class="blocks">
          <p class="custom-h6 col-md-5">{{ingestionDetailsContent.fileType.title}}<span class="mandatory"> *</span></p>
          <ejs-textbox name="txtFileTypeName" #txtFileType="ngModel" [(ngModel)]="dataIngestionDetails.file_type_name"
            required cssClass="e-outline" floatLabelType="Auto" (blur)="validateFileTypeName($event)"></ejs-textbox>
          <div *ngIf="txtFileType.invalid && (txtFileType.touched)" class="errorMsg">
            <div *ngIf="txtFileType.errors.required">
              {{ingestionDetailsContent.fileType.error}}
            </div>
          </div>
          <div *ngIf="!fileTypeNameValid" class="errorMsg">            
            {{ingestionDetailsContent.fileType.uniqueError}}
          </div>
          <ejs-tooltip id="tooltip" content="{{ingestionDetailsContent.fileType.businessNameTooltip}}">
            <em class="fa fa-info-circle"></em></ejs-tooltip>
        </div>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5"> {{ingestionDetailsContent.businessPurpose}}</p>
        <ejs-textbox name="businessPurpose" #businessPurpose="ngModel"
          [(ngModel)]="dataIngestionDetails.business_purpose" cssClass="e-outline"
          floatLabelType="Auto"></ejs-textbox>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.dataSource}}<span class="mandatory"> *</span></p>
        <ul>
          <li class="checkbox-inline mr-2">
            <ejs-checkbox name="local" #localChosen label="{{dataSourceOptions[0].text}}"
              [(ngModel)]="activeDataSourceOption" value="{{dataSourceOptions[0].text}}"
              (click)="activeDataSourceOption = dataSourceOptions[0].text;replaceSelectedFile()">
            </ejs-checkbox>
          </li>
          <li class="checkbox-inline">
            <ejs-checkbox name="S3" #s3Chosen label="{{dataSourceOptions[1].text}}"
             [(ngModel)]="activeDataSourceOption" value="{{dataSourceOptions[1].text}}"
              (click)="activeDataSourceOption = dataSourceOptions[1].text;replaceSelectedFile()">
            </ejs-checkbox>
          </li>
        </ul>
      </div>
      <div *ngIf="activeDataSourceOption === dataSourceOptions[1].text">
        <div class="blocks">
          <p class="custom-h6 col-md-5">{{ingestionDetailsContent.sourceConnection.title}}<span class="mandatory"> *</span></p>
          <ejs-dropdownlist name="sourceConnection" #sourceConnection="ngModel"
            [disabled]="!dataIngestionDetails.file_type_name" (change)="connectionSelected($event)"
            [(ngModel)]="sourceConnectionDetails.data_layer_id" required [dataSource]="connectionTypes"
            [fields]="sourceConnectionFields" [placeholder]="ingestionDetailsContent.watermark">
          </ejs-dropdownlist>
          <div *ngIf="sourceConnection.invalid && (sourceConnection.touched)" class="errorMsg">
            <div *ngIf="sourceConnection.errors.required">
              {{ingestionDetailsContent.fileType.error}}
            </div>
          </div>
        </div>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.dataFile.title}}<span class="mandatory"> *</span></p>
        <div class="blocks" *ngIf="activeDataSourceOption === dataSourceOptions[1].text">
          <ejs-dropdownlist name="sourceConnectionPath" class="mr-2" [disabled]="!dataIngestionDetails.file_type_name"
            #sourceConnectionPath="ngModel" [(ngModel)]="sourceConnectionDetails.abslt_path" required
            [dataSource]="connDetails" [fields]="sourceConnectionFilefields" (change)="s3FileSelected($event)"
            [placeholder]="ingestionDetailsContent.watermark" popupWidth="auto">
          </ejs-dropdownlist>
          <div *ngIf="sourceConnectionPath.invalid && (sourceConnectionPath.touched)" class="errorMsg">
            <div *ngIf="sourceConnectionPath.errors.required">
              {{ingestionDetailsContent.dataFile.error}}
            </div>
          </div>
          <button name="btnPreview" #btnPreview class="mr-2 btn btn-outline-warning" data-toggle="modal"
            data-target=".data-modal" (click)="onSampleFilePreview()" *ngIf="isUploadSuccessFull && !isUploadConfirmed">
            {{ingestionDetailsContent.dataFile.buttons.preview}}
          </button>
          <button name="btnReplaceFile" #btnReplaceFile class="mr-2 btn btn-outline-warning" *ngIf="isUploadConfirmed"
            (click)="replaceSelectedFile()">{{ingestionDetailsContent.dataFile.buttons.replace}}</button>
        </div>
        <div *ngIf="activeDataSourceOption === dataSourceOptions[0].text">
          <input name="file" #fileUpload type="file" class="mr-2 btn btn-outline-warning"
            [disabled]="!dataIngestionDetails.file_type_name" (change)="selectSampleFile($event)"
            [accept]="allowedExtensions" required />
          <div *ngIf="fileUpload.invalid && (fileUpload.touched)" class="errorMsg">
            <div *ngIf="fileUpload.errors.required">
              {{ingestionDetailsContent.dataFile.error}}
            </div>
          </div>
          <button name="btnUpload" #btnUpload class="mr-2 btn btn-outline-warning"
            *ngIf="selectedFiles && !isUploadSuccessFull && !isUploading" (click)="uploadSampleFile(false)">{{ingestionDetailsContent.dataFile.buttons.upload}}</button>
          <button class="btn btn-outline-warning" *ngIf="isUploading">
            <span class="spinner-border spinner-border-sm text-warning"></span>
            {{ingestionDetailsContent.dataFile.buttons.uploading}}
          </button>
          <button name="btnPreview" #btnPreview class="mr-2 btn btn-outline-warning" data-toggle="modal"
            data-target=".data-modal" (click)="onSampleFilePreview()" *ngIf="isUploadSuccessFull && !isUploadConfirmed">
            {{ingestionDetailsContent.dataFile.buttons.preview}}
          </button>
          <button name="btnReplaceFile" #btnReplaceFile class="mr-2 btn btn-outline-warning" *ngIf="isUploadConfirmed"
            (click)="replaceSelectedFile()">{{ingestionDetailsContent.dataFile.buttons.replace}}</button>
        </div>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.fileExtension}}
        </p>
        <ejs-dropdownlist name="fileExtension" disabled #fileExtension="ngModel" cssClass="e-outline"
          [(ngModel)]="dataIngestionDetails.file_extension" [dataSource]="fileExtensionList"
          (change)="fileExtensionChange()" [fields]="fileExtensionFields">
        </ejs-dropdownlist>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.fileDelimiter}}
        </p>
        <ejs-dropdownlist name="fileColumnDelimiter" disabled #fileColumnDelimiter="ngModel" cssClass="e-outline"
          [dataSource]="fileColumnDelimiterList" [fields]="fileColumnDelimiterFields"
          [(ngModel)]="dataIngestionDetails.file_column_delemiter"></ejs-dropdownlist>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.textQualifier}}
        </p>
        <ejs-dropdownlist name="fileTextQualifier" disabled #fileTextQualifier="ngModel" cssClass="e-outline"
          [(ngModel)]="dataIngestionDetails.file_text_qualifier" [dataSource]="fileTextQualifierList"
          [fields]="fileTextQualifierFields"></ejs-dropdownlist>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-5">{{ingestionDetailsContent.fileEncoding}}
        </p>
        <ejs-dropdownlist name="fileEncoding" disabled #fileEncoding="ngModel" cssClass="e-outline"
          [(ngModel)]="dataIngestionDetails.file_encoding" [dataSource]="fileEncodingList"
          [fields]="fileEncodingFields">
        </ejs-dropdownlist>
      </div>
    </form>
  </div>
</div>
<ejs-dialog #Dialog header="{{ingestionDetailsContent.sampleDataHeader}}" [buttons]="dlgButtons" isModal="true" width="90%" [visible]="modalHidden" [animationSettings]="animationSettings"  >
  <ng-template #content>
    <ejs-grid #grid [dataSource]="sampleData" allowPaging="true" class="mt-3" (dataBound)="dataBound()">
      <e-columns>
        <e-column *ngFor="let col of sampleDataColumns" field="{{col}}" width="100%" headerText="{{(col)}}"></e-column>
      </e-columns>
    </ejs-grid>
  </ng-template>
</ejs-dialog>
<ejs-dialog #s3UploadDialog id="s3UploadDialog" isModal="true" header="{{ingestionDetailsContent.uploadConfirmHeader}}" [buttons]="dlgButtonss3Upload" [visible]="s3UploadmodalHidden" width="90%" [animationSettings]="animationSettings"  >
  <ng-template #content>
    <p>{{ingestionDetailsContent.overrideConfirm}}</p>
  </ng-template>
</ejs-dialog>